Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrStrikethrough Class Reference

A PangoAttrStrikethrough C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrStrikethrough:

List of all members.

## Public Member Functions

Constructors

- AttrStrikethrough (bool strikethrough=true)
    Construct a new font strike-through attribute.

Accessors

- bool strikethrough () const
    Returns true if the text is struck-through.

Methods

- void set_strikethrough (bool strikethrough)
    Sets whether the text should be struck-through.

## Detailed Description

A PangoAttrStrikethrough C++ wrapper class.

AttrStrikethrough wraps the strikethrough attribute (ATTR_STRIKETHROUGH).

## Constructor & Destructor Documentation

Inti::Pango::AttrStrikethrough::AttrStrikethrough | ( | bool | strikethrough = true | ) | `[explicit]`

  | Construct a new font strike-through attribute. Parameters:
  strikethrough | Set true if the text should be struck-through.

## Member Function Documentation

void Inti::Pango::AttrStrikethrough::set_strikethrough | ( | bool | strikethrough | ) |

  | Sets whether the text should be struck-through. Parameters:
  strikethrough | Set true if the text should be struck-through.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer